Skip to main content
GET
/
faq-collections
List FAQ collections
curl --request GET \
  --url https://api.nateq.io/api/v1/faq-collections \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "color": "<string>",
      "createdAt": "<string>",
      "description": "<string>",
      "displayOrder": 123,
      "faqCount": 123,
      "faqs": [
        {
          "category": {
            "collectionId": "<string>",
            "createdAt": "<string>",
            "displayOrder": 123,
            "id": "<string>",
            "name": "<string>",
            "organizationId": "<string>",
            "updatedAt": "<string>"
          },
          "categoryId": "<string>",
          "collection": "<unknown>",
          "collectionId": "<string>",
          "content": "<string>",
          "createdAt": "<string>",
          "description": "<string>",
          "displayOrder": 123,
          "id": "<string>",
          "isFeatured": true,
          "isPublished": true,
          "organizationId": "<string>",
          "readTime": 123,
          "slug": "<string>",
          "tags": [
            "<string>"
          ],
          "title": "<string>",
          "updatedAt": "<string>",
          "views": 123
        }
      ],
      "icon": "<string>",
      "id": "<string>",
      "isPublished": true,
      "name": "<string>",
      "organizationId": "<string>",
      "slug": "<string>",
      "totalReadTime": 123,
      "updatedAt": "<string>"
    }
  ],
  "error": {
    "code": "<string>",
    "details": "<unknown>",
    "message": "<string>"
  },
  "message": "<string>",
  "meta": {
    "count": 123,
    "endCursor": "<string>",
    "hasNext": true,
    "hasPrevious": true,
    "limit": 123,
    "page": 123,
    "pageSize": 123,
    "pendingCount": 123,
    "startCursor": "<string>",
    "total": 123,
    "totalPages": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Your API key as a Bearer token: Authorization: Bearer tg_live_...

Response

200 - application/json

OK

data
object[]
error
object
message
string
meta
object
success
boolean